{% extends 'base.html' %}
{% load humanize %}
{% block content %}

<div class="container mt-2 d-flux d-flex justify-content-center">
    <div class="col-sm-12 col-md-12 col-lg-12 col-xl-11">
        <div class="my-4">
            {% if messages %}
            {% for message in messages %}
            {% if message.level == DEFAULT_MESSAGE_LEVELS.ERROR %}
            <div class="alert alert-danger alert-dismissible fade show" role="alert">
                <strong>Error: </strong> {{ message }}
            </div>
            {% else %}
            <div class="alert alert-info alert-dismissible fade show" role="alert">
                {{ message }}
            </div>
            {% endif %}
            {% endfor %}
            {% endif %}
        </div>
        <div class="h2-responsive article__title animated fadeIn mb-3 Lead text-capitalize mt-5">
            Welcome {{ user.first_name }}
        </div>

        <div class="card-deck mt-5 animated fadeIn">
            <div class="card mb-5 mx-lg-4 z-depth-3">
                <div class="card-header text-white primary-color-dark h5-responsive article__title">Contributions</div>
                <div class="card-body">
                    <div class="card-title lead">Available Contributions</div>
                    <p class="card-text">
                        {% if total_contribs.amount__sum %}
                        MWK {{ total_contribs.amount__sum|floatformat:3|intcomma }}
                        {% else %}
                        MKW 0.0
                        {% endif %}
                    </p>
                    <div class="text-right">
                        <a href="{% url 'contrib_trans' %}">View Transactions</a>
                    </div>
                </div>
            </div>
            <div class="w-200 d-none d-sm-block d-md-block"><!-- wrap every 2 on sm--></div>
            <div class="card mb-5 mx-lg-4 z-depth-3">
                <div class="card-header text-white purple darken-4 h5-responsive article__title">Loans</div>
                <div class="card-body">
                    <div class="card-title lead">Loans Taken</div>
                    <p class="card-text pl-1">
                        {% if total_loans.amount__sum %}
                        MWK {{ total_loans.amount__sum|floatformat:3|intcomma }}
                        {% else %}
                        MKW 0.0
                        {% endif %}
                    </p>
                    <div class="text-right">
                        <a href="{% url 'loan_trans' %}">View Transactions</a>
                    </div>
                </div>
            </div>
            <div class="w-100 d-none d-sm-block d-md-none"><!-- wrap every 2 on sm--></div>
        </div>
        <!--        <div class="row d-flux align-items-end justify-content-end mt-5">-->
        <!--            <a href="{% url 'logout' %}" class="btn  btn-danger btn-rounded animated fadeIn">Sign out</a>-->
        <!--        </div>-->
    </div>
</div>
{% endblock %}